Bug 1815046 - [v2v][UCI] Failed to migrate in case of SSH transport method
Summary: [v2v][UCI] Failed to migrate in case of SSH transport method
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.11.4
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: GA
: 5.11.7
Assignee: Fabien Dupont
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1822277
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 11:34 UTC by Maayan Hadasi
Modified: 2020-05-19 17:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 16:46:17 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Description Maayan Hadasi 2020-03-19 11:34:32 UTC
Description of problem:
Failed to migrate in case of SSH transport method via CFME and rest api


Version-Release number of selected component (if applicable):
CFME 5.11.4.1
UCI: 5.11.4.1-1


How reproducible:
100%


Actual results:

evm.log error:
ERROR -- : Q-task_id([job_dispatcher]) MIQ(ConversionHost#connect_ssh) SSH connection failed for [10.1.40.213] with [RuntimeError: MiqSshUtil::exec - Command 'sudo /usr/bin/podman run --detach --privileged --name conversion-26 --network host --volume /dev:/dev --volume /etc/pki/ca-trust:/etc/pki/ca-trust --volume /var/tmp:/var/tmp --volume /var/lib/uci/26:/var/lib/uci --volume /var/log/uci/26:/var/log/uci --volume /opt/vmware-vix-disklib-distrib:/opt/vmware-vix-disklib-distrib --volume /root/.ssh/id_rsa:/var/lib/uci/ssh_private_key registry.redhat.io/cloudforms50/v2v-conversion-host-rhel8' failed: Error: error checking path "/opt/vmware-vix-disklib-distrib": stat /opt/vmware-vix-disklib-distrib: no such file or directory, status: 125]

Comment 2 Fabien Dupont 2020-03-19 16:32:58 UTC
https://github.com/ManageIQ/manageiq/pull/19980

Comment 3 CFME Bot 2020-05-01 23:35:18 UTC
New commit detected on ManageIQ/manageiq/jansa:

https://github.com/ManageIQ/manageiq/commit/24d3cf087651aa79da27441144e631376b663333
commit 24d3cf087651aa79da27441144e631376b663333
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Mar 19 17:51:04 2020 +0000
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Mar 19 17:51:04 2020 +0000

    Merge pull request #19980 from fdupont-redhat/v2v_bz_1815046

    Do not mount VDDK folder if transport method is SSH

    (cherry picked from commit bca006442018c7f755807e11495dd417adf413e6)

    https://bugzilla.redhat.com/show_bug.cgi?id=1815046

 app/models/conversion_host.rb | 2 +-
 spec/models/conversion_host_spec.rb | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

Comment 4 Fabien Dupont 2020-05-13 16:46:17 UTC
Warm migration and UCI will finally not be implemented in CloudForms.
Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.